# $Revision: 1.29 $, $Date: 2012/03/26 19:50:45 $
%include	/usr/lib/rpm/macros.php
%define		_class		Spreadsheet
%define		_subclass	Excel
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}_Writer
Summary:	%{_pearname} - package for generating Excel spreadsheets
Summary(pl.UTF-8):	%{_pearname} - pakiet generujący arkusze Excela
Name:		php-pear-%{_pearname}
Version:	0.9.3
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	a1c353beb819fa4b7146f5325625774b
URL:		http://pear.php.net/package/Spreadsheet_Excel_Writer/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.1.0
Requires:	php-pear
Requires:	php-pear-OLE >= 0.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Spreadsheet_Excel_Writer was born as a porting of the
Spreadsheet::WriteExcel Perl module to PHP. It allows writing of Excel
spreadsheets without the need for COM objects. It supports formulas,
images (BMP) and all kinds of formatting for text and cells. It
currently supports the BIFF5 format (Excel 5.0), so functionality
appeared in the latest Excel versions is not yet available.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Spreadsheet_Excel_Writer narodził się jako port do PHP perlowego
modułu Spreadsheet::WriteExcel. Pozwala na zapisywanie arkuszy Excela
bez potrzeby używania obiektów COM. Ma wsparcie dla formularzy,
rysunków (BMP) oraz wszelkiego typu formatowania tekstu oraz komórek.
Aktualnie wspiera format BIFF5 (Excel 5.0), więc funkcjonalność
ostatnich wersji Excela nie jest jeszcze dostępna.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%dir %{php_pear_dir}/%{_class}
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Writer
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Writer/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Spreadsheet_Excel_Writer.spec,v $
Revision 1.29  2012/03/26 19:50:45  glen
- updated to: 0.9.3

Revision 1.28  2010/08/21 19:08:30  glen
- updated deps with pearize.sh
- release 2

Revision 1.27  2010/01/04 15:22:56  adamg
- updated to 0.9.2

Revision 1.26  2008/01/31 12:16:10  glen
- rel 2

Revision 1.25  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.23  2006/12/30 11:03:22  adamg
- updated to 0.9.1

Revision 1.22  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.21  2006/04/02 12:02:58  glen
- 0.9.0

Revision 1.20  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2005/10/05 20:59:32  glen
- rel 3

Revision 1.17  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.16  2005/09/29 19:40:43  glen
- new pear packaging

Revision 1.15  2004/12/04 14:21:00  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.14  2004/07/08 19:43:39  adamg
- updated to 0.8

Revision 1.13  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.12  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.11  2004/02/28 16:01:29  adamg
- updated to 0.7

Revision 1.10  2003/11/22 20:45:01  adamg
- updated to 0.6

Revision 1.9  2003/10/07 20:56:16  adamg
- do not use macros in URL

Revision 1.8  2003/10/01 22:36:19  adamg
- updated to 0.5

Revision 1.7  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.6  2003/08/31 10:40:38  adamg
- updated to 0.4

Revision 1.5  2003/05/31 23:41:28  adamg
- changed License to LGPL

Revision 1.4  2003/05/28 10:50:32  adamg
- massive manual attack: pear packages update

Revision 1.3  2003/05/28 08:58:48  adamg
- massive attack: added source0-md5

Revision 1.2  2003/05/25 06:25:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/01/08 09:06:18  blues
- initial release - beta class
